#
# spec file for package eb (Version 2.3.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         eb
Copyright:    GPL
Group:        Applications/Text
#Provides:     
#Requires:     
Autoreqprov:  on
Version:      2.3.8
Release:      151
URL: http://www.sra.co.jp/people/m-kasahr/eb/
Source0: ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}.tar.bz2
#Patch0:
BuildRoot: /var/tmp/%{name}-root
Summary:      EB Library is a C library for accessing CD-ROM books
#Summary(ja): EB 饤֥ CD-ROM Ҥ˥뤿 C Υ饤֥Ǥ
#Obsoletes:

%description
EB Library is a C library for accessing CD-ROM books.  It can be built
on UNIX derived systems.  EB Library supports to access CD-ROM books of
EB, EBG, EBXA, EBXA-C, S-EBXA and EPWING formats.  CD-ROM books of those
formats are popular in Japan.  Since CD-ROM books themseves are stands
on the ISO 9660 format, you can mount the discs by the same way as other
ISO 9660 discs.

Authors:
--------
    Motoyuki Kasahara <m-kasahr@sra.co.jp>

SuSE series: j

%package -n ebdev
Summary:      Header files and Libraries of EB
Group: Development/Libraries
Requires: eb = %{version}

%description -n ebdev
Header files and Libraries of EB.

SuSE series: j

%define prefix	/usr
%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup0
#%patch0 -p1

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config zlib}} 
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
            --infodir=%{_infodir} \
            --with-zlib \
            %{_target_cpu}-suse-linux
make 

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
    install -d -m755 $RPM_BUILD_ROOT
fi
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL INSTALL-ja NEWS README README-ja ChangeLog
%{prefix}/bin/*
%{prefix}/lib/libeb.so*
%{_infodir}/eb*
/usr/share/eb/*

%files -n ebdev
%defattr(-, root, root)
%{prefix}/include/*
%{prefix}/lib/libeb.a
%{prefix}/lib/libeb.la

%changelog -n eb
* Tue Mar 27 2001 - ro@suse.de
- fixed buildrooting
* Wed Aug 16 2000 - mfabian@suse.de
- changed `%%{suse_update_config zlib}' to
  `%%{?suse_update_config:%%{suse_update_config zlib}}'
  to enable building the package outside of the SuSE environment.
* Wed Aug 16 2000 - mfabian@suse.de
- changed %%{?suse_update_config} into %%{suse_update_config zlib}
  to make it build on ia64
* Thu Aug 10 2000 - mfabian@suse.de
- update to version 2.3.8
* Wed Jul 12 2000 - mfabian@suse.de
- new package: eb, Version 2.3.7
